GreatWksParserInternal::State Struct Reference

Internal: the state of a GreatWksParser. More...

## Public Member Functions

| State ()
| constructor
int | numHeaderFooters () const
| returns the number of expected header/footer zones
MWAWSection | getSection () const
| returns a section

## Public Attributes

std::vector< double > | m_columnsWidth
| the columns dimension
bool | m_hfFlags [4]
| flags to define header/footer (titlePage, l/rPage, header, footer)
bool | m_hasColSep
| true if columns have columns separator
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a GreatWksParser.

## Constructor & Destructor Documentation

## State()

GreatWksParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getSection()

MWAWSection GreatWksParserInternal::State::getSection | ( |  | ) | const

inline

returns a section

## numHeaderFooters()

int GreatWksParserInternal::State::numHeaderFooters | ( |  | ) | const

inline

returns the number of expected header/footer zones

## Member Data Documentation

## m_actPage

int GreatWksParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_columnsWidth

std::vector<double> GreatWksParserInternal::State::m_columnsWidth

the columns dimension

Referenced by getSection(), and State().

## m_footerHeight

int GreatWksParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_hasColSep

bool GreatWksParserInternal::State::m_hasColSep

true if columns have columns separator

Referenced by getSection(), and State().

## m_headerHeight

int GreatWksParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_hfFlags

bool GreatWksParserInternal::State::m_hfFlags[4]

flags to define header/footer (titlePage, l/rPage, header, footer)

Referenced by numHeaderFooters(), and State().

## m_numPages

int GreatWksParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

The documentation for this struct was generated from the following file:

- GreatWksParser.cxx